> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-requests-overview/82.-query-restore-subscription-events.md).

# 82. Sorgu: Abonelik olaylarını geri yükle

İletilen ve üretilen abonelik olaylarını geri yükleyip yeniden kontrol edebilmek her zaman iyi bir uygulamadır. Bu nedenle GeoPard, üretilen tüm abonelik olaylarının geçmişini şu süre boyunca saklar: **son 12 ay**.

Yaygın kullanım senaryoları:

* İnternet bağlantısı kötüydü ve olaylar iletilmedi
* WebSocket dinleyicisinin yeniden dağıtılması
* Alınan ve üretilen olayların tutarlılığını kontrol edin

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        action
        nodePath {
          entity
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

Desteklenen giriş filtreleri:

* `dateFrom` ISO 8701 biçiminde tarih-saat olarak (ör.: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` ISO 8701 biçiminde tarih-saat olarak (ör.: `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` Aranacak "Farm" UUID'lerinden oluşan dizi olarak
* `fieldUuids` Aranacak "Field" UUID'lerinden oluşan dizi olarak
* `userUuids` aranacak "User" UUID'lerinden oluşan bir dizi olarak
* `eventUuids` Abonelik "Event" UUID'lerinden oluşan dizi olarak

{% hint style="info" %}
Tüm filtreler mantıksal **AND**.
{% endhint %}

{% hint style="info" %}
Her abonelik olayının şu özniteliği vardır: `executionDate` Gönderildiği anla ilişkili olan ve ISO 8601 DateTime ile uyumlu AWSDateTime biçimindeki değer.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-requests-overview/82.-query-restore-subscription-events.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
